[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.FreeStorage

Frees resources allocated for the underlying storage mechanism.

## Declaration

Source position: propertystorage.pas line 150

`public procedure TCustomPropertyStorage.FreeStorage; virtual;`

## Description

FreeStorage is a method used to free resources allocated for the underlying storage mechanism for the container in StorageNeeded. FreeStorage has an empty implementation in TCustomPropertyStorage, and must be overridden in a descendent class.

## See also

TCustomPropertyStorage.StorageNeeded |  | Ensures that the storage mechanism for the container is available.